COMBAT_TEXT_TYPE_INFO["SPELL_EXTRA_ATTACKS"] = {r = 0.5, g = 0.5, b = 1, var = "COMBAT_TEXT_SHOW_EXTRA_ATTACKS"};
COMBAT_TEXT_TYPE_INFO["PARTY_KILL"] = {r = 1,g =.5, b =.5, var = "COMBAT_TEXT_SHOW_MOB_SLAIN"};
COMBAT_TEXT_TYPE_INFO["SPELL_INTERRUPT"] = {r = 1,g =.5, b =.5, var = "COMBAT_TEXT_SHOW_INTERRUPT"};

COMBAT_TEXT_TYPE_INFO["SPELL_MISS"] = {r = 0.79, g = 0.3, b = 0.85, var = "COMBAT_TEXT_SHOW_DODGE_PARRY_MISS"};
COMBAT_TEXT_TYPE_INFO["SPELL_DODGE"] = {r = 0.79, g = 0.3, b = 0.85, var = "COMBAT_TEXT_SHOW_DODGE_PARRY_MISS"};
COMBAT_TEXT_TYPE_INFO["SPELL_PARRY"] = {r = 0.79, g = 0.3, b = 0.85, var = "COMBAT_TEXT_SHOW_DODGE_PARRY_MISS"};
COMBAT_TEXT_TYPE_INFO["SPELL_EVADE"] = {r = 0.79, g = 0.3, b = 0.85, var = "COMBAT_TEXT_SHOW_DODGE_PARRY_MISS"};
COMBAT_TEXT_TYPE_INFO["SPELL_IMMUNE"] = {r = 0.79, g = 0.3, b = 0.85, var = "COMBAT_TEXT_SHOW_DODGE_PARRY_MISS"};
COMBAT_TEXT_TYPE_INFO["SPELL_DEFLECT"] = {r = 0.79, g = 0.3, b = 0.85, var = "COMBAT_TEXT_SHOW_DODGE_PARRY_MISS"};
COMBAT_TEXT_TYPE_INFO["SPELL_REFLECT"] = {r = 0.79, g = 0.3, b = 0.85, var = "COMBAT_TEXT_SHOW_DODGE_PARRY_MISS"};

function BCTplus_OnLoad()
	DEFAULT_CHAT_FRAME:AddMessage("BCT+ Enabled");
	this:RegisterEvent("COMBAT_LOG_EVENT");
	BlizzardOptionsPanel_UpdateCombatText()
end

function BCTplus_OnEvent()
	local messageType, message, displayType;

	if(event == "COMBAT_LOG_EVENT") then
		messageType = arg2;
	else
		messageType = event;
	end
	if (arg4 == UnitPVPName("player")) then
		if (messageType == "PARTY_KILL") then
			message = arg7
			displayType = "sticky"
		elseif (messageType == "SPELL_INTERRUPT") then
			message = arg13
			displayType = "sticky"
		elseif (messageType == "SPELL_EXTRA_ATTACKS") then
			if (arg12 == 1) then
				message = arg10
			else
				message = arg10.."("..arg12..")"
			end
			displayType = "sticky"
		end
	end
	-- Process the messageType and format the message
	--Check to see if there's a COMBAT_TEXT_TYPE_INFO associated with this combat message
	local info = COMBAT_TEXT_TYPE_INFO[messageType];
	if ( not info ) then
		info = {r = 1, g =1, b = 1};
	end

	if ( message and SHOW_COMBAT_TEXT == "1" and info.show) then
		CombatText_AddMessage(message, COMBAT_TEXT_SCROLL_FUNCTION, info.r, info.g, info.b, displayType, isStaggered);
	end
end
